# Django-based master thesis simulation engine

## Installation
### Using poetry
1. Install [poetry](https://python-poetry.org/docs/#installation)
2. Clone this repository
3. Run `poetry install` in the root directory of the repository
4. Run `poetry run python manage.py migrate` to create the database
5. Run `poetry run python manage.py runexperiment` to run experiment
6. Run `poetry run python manage.py runserver` to run the server
7. Open `http://localhost:8000/` in your browser
8. Visit `http://localhost:8000/simulations/experiments` to see list over experiments. Click details to see the results of the experiment.


### Using venv and pip
1. Create a virtual environment: `python3 -m venv venv`
2. Activate the virtual environment: `source venv/bin/activate`. If using windows use `venv\Scripts\activate.bat` instead.
3. Install dependencies: `pip install .` This reads the pyproject.toml file and installs the dependencies. 
4. Run `python manage.py migrate` to create the database
5. Run `python manage.py runexperiment` to run experiment
6. Run `python manage.py runserver` to run the server
7. Open `http://localhost:8000/` in your browser
8. Visit `http://localhost:8000/simulations/experiments` to see list over experiments. Click details to see the results of the experiment.

Important! Requires a local postgres database to be running. It assumes that the databse name is "master" and users a user called "postgres" with password "postgres". This can be changed in the settings.py file.