from django.urls import path
from simulations import views

urlpatterns = [
    path("", views.index, name="index"),
    path("experiments/", views.experiment_list, name="experiment_list"),
    path("experiments/<int:pk>/", views.experiment_details, name="experiment_details"),
    path(
        "experiments/<int:pk>/delete/",
        views.experiment_delete,
        name="experiment_delete",
    ),
    path(
        "experiments/<int:pk>/network_graph/",
        views.experiment_detail_network_graph,
        name="experiment_detail_network_graph",
    ),
    path(
        "pathogens/<int:pk>/",
        views.pathogen_skill_point_distribution_graph,
        name="pathogen_skill_point_distribution_graph",
    ),
]
